Ir al contenido
Iniciar sesión Registrarse

API de perfiles de Google Scholar

Encuentra perfiles de autores de Google Scholar por nombre. Establece engine=google_scholar_profiles y pasa el nombre en mauthors para obtener una lista de autores coincidentes con sus IDs, afiliaciones y recuentos de citas.

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesTu clave de API de SERP
enginestringyesDebe ser google_scholar_profiles
mauthorsstringyesEl nombre o nombres de autor a buscar
hlstringnoCódigo de idioma de la interfaz
after_authorstringnoToken de página siguiente, debe seguir a un valor before_author
before_authorstringnoToken de página anterior
Ventana de terminal
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}